# -- NConf database update sctipt --
# -- from version 1.2.5 to 1.2.6 --

# -- change the separator for attrs of type "select" --
# -- new separator: "::"
UPDATE ConfigAttrs SET poss_values = REPLACE(poss_values,',','::');

# -- change definition and default value for "link_as_child" attribute --
ALTER TABLE ConfigAttrs CHANGE link_as_child `link_as_child` enum('yes','no') default NULL;
UPDATE ConfigAttrs SET link_as_child = 'no' WHERE link_as_child <> 'yes' OR link_as_child IS NULL;
ALTER TABLE ConfigAttrs CHANGE link_as_child `link_as_child` enum('yes','no') NOT NULL default 'no';

# -- add "default_service_name" attribute for checkcommands --
UPDATE ConfigAttrs SET ordering = ordering + 1 WHERE ordering > 1 AND fk_id_class = (SELECT id_class FROM ConfigClasses WHERE config_class='checkcommand');
INSERT INTO ConfigAttrs (attr_name,friendly_name,description,datatype,max_length,mandatory,ordering,visible,write_to_conf,naming_attr,fk_id_class) 
VALUES ('default_service_name','default service name','default name to use for new services','text',255,'no',2,'yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='checkcommand'));

# -- define new datatype "assign_cust_order" --
ALTER TABLE ItemLinks ADD COLUMN `cust_order` int(11) NOT NULL default '0';
ALTER TABLE ConfigAttrs MODIFY COLUMN `datatype` enum('text','password','select','assign_one','assign_many','assign_cust_order') NOT NULL default 'text';

# -- add / modify several attrs --
UPDATE ConfigAttrs SET ordering = 10 WHERE attr_name = 'action_url' AND fk_id_class = (SELECT id_class FROM ConfigClasses WHERE config_class='service');
DELETE FROM ConfigAttrs WHERE attr_name='dependent_service_description' AND fk_id_class = (SELECT id_class FROM ConfigClasses WHERE config_class='service');
UPDATE ConfigAttrs SET ordering=ordering-1 WHERE ordering > 7 AND fk_id_class = (SELECT id_class FROM ConfigClasses WHERE config_class='service');
INSERT INTO ConfigAttrs (attr_name, friendly_name, datatype, max_length, mandatory, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_id_class) VALUES ('notes','notes','text',1024,'no',4,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='hostgroup')),('notes_url','notes URL','text',1024,'no',5,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='hostgroup')),('notes','notes','text',1024,'no',4,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='servicegroup')),('notes_url','notes URL','text',1024,'no',5,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='servicegroup'));
DELETE FROM ConfigAttrs WHERE attr_name='check_interval' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod');
UPDATE ConfigAttrs SET attr_name='check_interval', friendly_name='check interval' WHERE attr_name='normal_check_interval' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod');
UPDATE ConfigAttrs SET attr_name='retry_interval', friendly_name='retry interval' WHERE attr_name='retry_check_interval' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod');
UPDATE ConfigAttrs SET ordering=ordering-1 WHERE ordering > 10 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod');

# -- rename former class "host-template" to "host-preset" --
UPDATE ConfigClasses SET config_class='host-preset', friendly_name='Host presets', ordering=11 WHERE config_class='host-template';
UPDATE ConfigClasses SET nav_links = REPLACE(nav_links,'host-template','host-preset');
UPDATE ConfigClasses SET ordering=10 WHERE config_class='timeperiod';
UPDATE ConfigAttrs SET friendly_name='host preset name' WHERE attr_name='template_name' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host-preset');
UPDATE ConfigAttrs SET friendly_name='host preset commands' WHERE attr_name='command_name' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host-preset');
UPDATE ConfigAttrs SET attr_name='host-preset', friendly_name='host preset' WHERE attr_name='host-template' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');

# -- add "host-template" class and attributes --
INSERT INTO ConfigClasses (config_class, friendly_name, nav_visible, ordering, grouping, nav_links, nav_privs, out_file, nagios_object)
VALUES ('host-template','Host templates','yes',12,'','Show::overview.php?class=host-template;;Add::add_item.php?item=host-template','admin','host_templates.cfg','host');
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, max_length, poss_values, predef_value, mandatory, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) VALUES
('name','template name','','text',255,'','','yes',1,'yes','yes','yes','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('host_name','host name','mandatory if "register" = 1','text',255,'','','no',2,'no','no','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('register','register','display this template as a host in Nagios','select',0,'0::1','0','yes',3,'no','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('check_period','check period','time period to run checks','assign_one',0,'','','no',4,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod'),(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('notification_period','notification period','time period to alarm','assign_one',0,'','','no',5,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod'),(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('check_command','check command','host-alive check','assign_one',0,'','','no',6,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='misccommand'),(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('use','parent template(s)','parent template(s) to inherit from','assign_cust_order',0,'','','no',7,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='host-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('contact_groups','contact groups','responsible group','assign_many',0,'','','no',8,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='contactgroup'),(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('notes','notes',NULL,'text',1024,'','','no',9,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('notes_url','notes URL',NULL,'text',1024,'','','no',10,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('action_url','action URL','PNP URL (if installed)','select',0,'/nagios/html/pnp4nagios/index.php?host=$HOSTNAME$::https://URL_TO_NCONF/dependency.php?xmode=nagiosview&hostname=$HOSTNAME$&service_link=https://URL_TO_NAGIOS/nagios/cgi-bin/extinfo.cgi::https://URL_TO_NCONF/dependency.php?xmode=nagiosview&hostname=$HOSTNAME$&service_link=https://URL_TO_NAGIOS/nagios/cgi-bin/extinfo.cgi&pnp_link=https://URL_TO_NAGIOS/nagios/html/pnp4nagios/index.php','','no',11,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('max_check_attempts','max check attempts','number of times to retry checking','text',4,'','','no',12,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('check_interval','check interval','number of [min.] between regularly scheduled checks','text',4,'','','no',13,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('retry_interval','retry interval','number of [min.] to wait before scheduling a re-check','text',4,'','','no',14,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('notification_interval','notification interval','number of [min.] to wait before re-notifying a contact','text',4,'','','no',15,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('notification_options','notification options','possible values: d,u,r,f,s,[n]','text',20,'','','no',16,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('active_checks_enabled','active checking','do active checking of hosts','select',0,'0::1','','no',17,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('passive_checks_enabled','passive checking','do passive checking of hosts','select',0,'0::1','','no',18,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('notifications_enabled','notification enabled','send notifications for hosts','select',0,'0::1','','no',19,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('check_freshness','check freshness','check age of last check results','select',0,'0::1','','no',20,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template')),
('freshness_threshold','freshness threshold','age threshold in [sec.]','text',5,'','','no',21,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='host-template'));

# -- add "service-template" class and attributes --
INSERT INTO ConfigClasses (config_class, friendly_name, nav_visible, ordering, grouping, nav_links, nav_privs, out_file, nagios_object) 
VALUES ('service-template','Service templates','yes',13,'','Show::overview.php?class=service-template;;Add::add_item.php?item=service-template','admin','service_templates.cfg','service');
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, max_length, poss_values, predef_value, mandatory, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) VALUES 
('name','template name','','text',255,'','','yes',1,'yes','yes','yes','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('service_description','service name','mandatory if "register" = 1','text',255,'','','no',2,'no','no','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('register','register','display this template as a service in Nagios','select',0,'0::1','0','yes',3,'no','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('check_period','check period','time period to run checks','assign_one',0,'','','no',4,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod'),(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('notification_period','notification period','time period to alarm','assign_one',0,'','','no',5,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod'),(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('use','parent template(s)','parent template(s) to inherit from','assign_cust_order',0,'','','no',6,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='service-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('contact_groups','contact groups','responsible group','assign_many',0,'','','no',7,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='contactgroup'),(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('notes','notes',NULL,'text',1024,'','','no',8,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('notes_url','notes URL',NULL,'text',1024,'','','no',9,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('action_url','action URL','PNP URL (if installed)','select',0,'/nagios/html/pnp4nagios/index.php?host=$HOSTNAME$&srv=$SERVICEDESC$','','no',10,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('max_check_attempts','max check attempts','number of times to retry checking','text',4,'','','no',11,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('check_interval','check interval','number of [min.] between regularly scheduled checks','text',4,'','','no',12,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('retry_interval','retry interval','number of [min.] to wait before scheduling a re-check','text',4,'','','no',13,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('notification_interval','notification interval','number of [min.] to wait before re-notifying a contact','text',4,'','','no',14,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('notification_options','notification options','possible values: w,u,c,r,f,s,[n]','text',20,'','','no',15,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('active_checks_enabled','active checking','do active checking of services','select',0,'0::1','','no',16,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('passive_checks_enabled','passive checking','do passive checking of services','select',0,'0::1','','no',17,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('notifications_enabled','notification enabled','send notifications for services','select',0,'0::1','','no',18,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('check_freshness','check freshness','check age of last check results','select',0,'0::1','','no',19,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template')),
('freshness_threshold','freshness threshold','age threshold in [sec.]','text',5,'','','no',20,'yes','yes','no','no',NULL,(SELECT id_class FROM ConfigClasses WHERE config_class='service-template'));

# -- add several predefined host-template items --
INSERT INTO ConfigItems (fk_id_class) VALUES ((SELECT id_class FROM ConfigClasses WHERE config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('Default_collector_server',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='name' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='register' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='active_checks_enabled' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='passive_checks_enabled' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notifications_enabled' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='check_freshness' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('86400',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='freshness_threshold' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));

INSERT INTO ConfigItems (fk_id_class) VALUES ((SELECT id_class FROM ConfigClasses WHERE config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('Default_monitor_server',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='name' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='register' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='active_checks_enabled' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='passive_checks_enabled' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notifications_enabled' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='check_freshness' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('86400',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='freshness_threshold' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));

INSERT INTO ConfigItems (fk_id_class) VALUES ((SELECT id_class FROM ConfigClasses WHERE config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('Default_timeperiod_interval_5',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='name' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='register' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('3',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='max_check_attempts' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('5',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='check_interval' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='retry_interval' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('15',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notification_interval' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('d,u,r',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notification_options' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));

INSERT INTO ConfigItems (fk_id_class) VALUES ((SELECT id_class FROM ConfigClasses WHERE config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('Default_timeperiod_interval_10',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='name' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='register' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('5',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='max_check_attempts' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('10',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='check_interval' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('2',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='retry_interval' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('15',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notification_interval' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('d,u,r',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notification_options' AND fk_id_class=id_class AND config_class='host-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='host-template'));

# -- add several predefined service-template items --
INSERT INTO ConfigItems (fk_id_class) VALUES ((SELECT id_class FROM ConfigClasses WHERE config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('Default_collector_server',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='name' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='register' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='active_checks_enabled' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='passive_checks_enabled' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notifications_enabled' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='check_freshness' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('86400',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='freshness_threshold' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));

INSERT INTO ConfigItems (fk_id_class) VALUES ((SELECT id_class FROM ConfigClasses WHERE config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('Default_monitor_server',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='name' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='register' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='active_checks_enabled' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='passive_checks_enabled' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notifications_enabled' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='check_freshness' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('86400',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='freshness_threshold' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));

INSERT INTO ConfigItems (fk_id_class) VALUES ((SELECT id_class FROM ConfigClasses WHERE config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('Default_timeperiod_interval_5',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='name' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='register' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('3',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='max_check_attempts' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('5',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='check_interval' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('1',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='retry_interval' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('15',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notification_interval' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('w,u,c,r',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notification_options' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));

INSERT INTO ConfigItems (fk_id_class) VALUES ((SELECT id_class FROM ConfigClasses WHERE config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('Default_timeperiod_interval_10',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='name' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('0',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='register' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('5',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='max_check_attempts' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('10',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='check_interval' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('2',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='retry_interval' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('15',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notification_interval' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));
INSERT INTO ConfigValues (attr_value, fk_id_attr, fk_id_item) VALUES ('w,u,c,r',(SELECT id_attr FROM ConfigAttrs, ConfigClasses WHERE attr_name='notification_options' AND fk_id_class=id_class AND config_class='service-template'),(SELECT MAX(id_item) FROM ConfigItems,ConfigClasses WHERE fk_id_class=id_class AND config_class='service-template'));

# -- add "use" attribute to host class, change attribute ordering and descriptions --
UPDATE ConfigAttrs SET ordering=ordering+1 WHERE ordering > 4 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('use','host template(s)','host template(s) to inherit properties from','assign_cust_order','no',5,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='host-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='host'));
UPDATE ConfigAttrs SET ordering=ordering+20 WHERE ordering>14 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');
UPDATE ConfigAttrs SET ordering=ordering+3 WHERE ordering>4 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');
UPDATE ConfigAttrs SET ordering=ordering-33 WHERE ordering>20 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');
UPDATE ConfigAttrs SET description='monitoring server (empty = not monitored)' WHERE attr_name='monitored_by' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');
UPDATE ConfigAttrs SET description='predefined services / host-alive check' WHERE attr_name='host-preset' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');

# -- add "use" attribute to service class --
UPDATE ConfigAttrs SET ordering=ordering+1 WHERE ordering > 3 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='service');
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('use','service template(s)','service template(s) to inherit properties from','assign_cust_order','no',4,'yes','yes','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='service-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='service'));

# -- add "host_template" & "service_template" attributes to several classes, change "mandatory" flag for several attrs --
UPDATE ConfigAttrs SET mandatory='no' WHERE attr_name <> 'server_name' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-collector');
UPDATE ConfigAttrs SET ordering=ordering+2 WHERE ordering>1 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-collector');
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, predef_value, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('host_template','host template(s)','add the following template(s) to all hosts monitored by this server','assign_cust_order','no','Default_collector_server',2,'yes','no','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='host-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-collector'));
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, predef_value, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('service_template','service template(s)','add the following template(s) to all services monitored by this server','assign_cust_order','no','Default_collector_server',3,'yes','no','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='service-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-collector'));

UPDATE ConfigAttrs SET mandatory='no' WHERE attr_name <> 'server_name' AND attr_name <> 'collector_check_freshness' AND attr_name <> 'collector_freshness_threshold' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor');
UPDATE ConfigAttrs set ordering=ordering+5 WHERE ordering>1 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor');
UPDATE ConfigAttrs SET ordering=2 WHERE attr_name='collector_check_freshness' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor');
UPDATE ConfigAttrs SET ordering=3 WHERE attr_name='collector_freshness_threshold' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor');
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, predef_value, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('stale_service_command','stale service command','"dummy" command to run for stale services','assign_one','no','service_is_stale',4,'yes','no','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='misccommand'),(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor'));
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, predef_value, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('host_template','host template(s)','add the following template(s) to all hosts monitored by this server','assign_cust_order','no','Default_monitor_server',5,'yes','no','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='host-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor'));
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, predef_value, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('service_template','service template(s)','add the following template(s) to all services monitored by this server','assign_cust_order','no','Default_monitor_server',6,'yes','no','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='service-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor'));

UPDATE ConfigAttrs SET mandatory='no' WHERE attr_name <> 'timeperiod_name' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod');
UPDATE ConfigAttrs SET ordering=ordering+2 WHERE ordering>9 AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod');
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, predef_value, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('host_template','host template(s)','add the following template(s) to all hosts linked with this timeperiod','assign_cust_order','no','',10,'yes','no','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='host-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod'));
INSERT INTO ConfigAttrs (attr_name, friendly_name, description, datatype, mandatory, predef_value, ordering, visible, write_to_conf, naming_attr, link_as_child, fk_show_class_items, fk_id_class) 
VALUES ('service_template','service template(s)','add the following template(s) to all services linked with this timeperiod','assign_cust_order','no','',11,'yes','no','no','no',(SELECT id_class FROM ConfigClasses WHERE config_class='service-template'),(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod'));

UPDATE ConfigAttrs SET mandatory='no' WHERE (attr_name='check_period' OR attr_name='notification_period') AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');
UPDATE ConfigAttrs SET mandatory='no' WHERE (attr_name='check_period' OR attr_name='notification_period') AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='service');

# -- remove some predefined values in 'timeperiod', 'nagios-collector' and 'nagios-monitor' classes --
UPDATE ConfigAttrs SET predef_value='' WHERE (attr_name='max_check_attempts' OR attr_name='check_interval' OR attr_name='retry_interval' OR attr_name='notification_interval' OR attr_name='host_notification_options' OR attr_name='service_notification_options') AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod');
UPDATE ConfigAttrs SET predef_value='' WHERE (attr_name='active_checks_enabled' OR attr_name='passive_checks_enabled' OR attr_name='notifications_enabled' OR attr_name='check_freshness' OR attr_name='freshness_threshold') AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-collector');
UPDATE ConfigAttrs SET predef_value='' WHERE (attr_name='active_checks_enabled' OR attr_name='passive_checks_enabled' OR attr_name='notifications_enabled' OR attr_name='check_freshness' OR attr_name='freshness_threshold') AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor');

# -- set some new predefinded values and descriptions --
UPDATE ConfigAttrs SET description='00:00-24:00' WHERE (attr_name='sunday' OR attr_name='monday' OR attr_name='tuesday' OR attr_name='wednesday' OR attr_name='thursday' OR attr_name='friday' OR attr_name='saturday') AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='timeperiod');
UPDATE ConfigAttrs SET predef_value='24x7' WHERE attr_name='notification_period' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host');
UPDATE ConfigAttrs SET description='describe the command syntax' WHERE attr_name='command_syntax' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='checkcommand');
UPDATE ConfigAttrs SET description='possible values: d,u,r,f,[n]' WHERE attr_name='host_notification_options' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='contact');
UPDATE ConfigAttrs SET description='possible values: w,u,c,r,f,[n]' WHERE attr_name='service_notification_options' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='contact');
UPDATE ConfigAttrs SET description='checks to be pre-selected for new hosts' WHERE attr_name='command_name' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='host-preset');
UPDATE ConfigAttrs SET description='value is applied to all services of collector hosts' WHERE attr_name='collector_check_freshness' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor');
UPDATE ConfigAttrs SET description='value is applied to "check_ssh" services of collector hosts' WHERE attr_name='collector_freshness_threshold' AND fk_id_class=(SELECT id_class FROM ConfigClasses WHERE config_class='nagios-monitor');
